package sugg.invertedindex;

import java.io.Serializable;
import java.util.Comparator;

public class Posting implements Serializable{
	private static final long serialVersionUID = 1L;
	
	private int id;
	private int tf;
	
	public Posting (int id, int tf)
	{
		this.id = id;
		this.tf = tf;
	}
	
	public int getId()
	{
		return this.id;
	}
	
	public int getTf()
	{
		return this.tf;
	}

	public static class PostingComparatorDescToTf implements Comparator<Posting>
	{
		@Override
		public int compare(Posting a, Posting b) {
			if (a.tf < b.tf)
				return 1;
			else if (a.tf > b.tf)
				return -1;
			else
				return 0;
		}
	}
}
