package sugg.objects;

import sugg.tools.Tools;

public class Location {
	private double locx;
	private double locy;
	
	public double distance (Location other)
	{
		return Tools.distance(this, other);
	}
	
	public double getLocx() {
		return locx;
	}
	public void setLocx(double locx) {
		this.locx = locx;
	}
	public double getLocy() {
		return locy;
	}
	public void setLocy(double locy) {
		this.locy = locy;
	}
	
	public Location(double locx, double locy)
	{
		this.locx = locx;
		this.locy = locy;
	}
	
	public double getLong ()
	{
		return this.locy;
	}
	
	public double getLat()
	{
		return this.locx;
	}
	
	@Override
	public String toString()
	{
		return "(" + this.locx + ", " + this.locy + ")";
	}
}