package sugg.tools;

public class MemoryCounter {
	static int MB = 1024 * 1024;
	private long startMemory;
	
	public static long getUsedMemory ()
	{
		return (long) ((Runtime.getRuntime().totalMemory() - Runtime.getRuntime().freeMemory())/MB + 0.5);
	}
	
	public void start()
	{
		startMemory = MemoryCounter.getUsedMemory();
	}
	
	public long stop()
	{
		return MemoryCounter.getUsedMemory() - startMemory;
	}
	
	public void stop(String owner)
	{
		System.out.println(owner + " uses " + this.stop() + "MB RAM.");
	}
}
