package sugg.objects;

import java.util.Comparator;

public class Result {
	private String phrase;
	private double score;
	
	public static class ResultComparatorAscToScore implements Comparator<Result> {	 
	    public int compare(Result a, Result b) {
	        if (a.getScore() - b.getScore() > 0)
	        	return 1;	//sort in ascending order
	        else
	        	return -1;
	    }
	}
	
	public Result(String phrase, double score)
	{
		this.setPhrase(phrase);
		this.setScore(score);
	}
	
	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public String getPhrase() {
		return phrase;
	}

	public void setPhrase(String phrase) {
		this.phrase = phrase;
	}
	
}