package sugg.plot;

import java.awt.Color;
import java.util.List;

import javax.swing.JFrame;

import org.math.plot.Plot2DPanel;

public class PlotTools {

	public static void drawPlot (Plot2DPanel plot, String title)
	{
		try{
			JFrame frame = new JFrame();
			frame.setTitle(title);
	        frame.setSize(640, 640);
	        frame.setContentPane(plot);
	        frame.setVisible(true);
		} catch (Exception e) {
			//do nothing
		}
	}
	
	public static void drawRInkPlot(List<Double> rInkList, List<Double> rInk1List, String method)
	{
		double [] rInkArray = new double[rInkList.size()];
		for (int i = 0; i != rInkList.size(); ++i)
			rInkArray[i] = rInkList.get(i);
		double [] rInk1Array = new double[rInk1List.size()];
		for (int i = 0; i != rInk1List.size(); ++i)
			rInk1Array[i] = rInk1List.get(i);
		
		Plot2DPanel rInkPlot = new Plot2DPanel();
		rInkPlot.addLinePlot("rInk", Color.BLUE, rInkArray);
		rInkPlot.addLinePlot("rInk1", Color.RED, rInk1Array);
		rInkPlot.addLegend("SOUTH");
		PlotTools.drawPlot(rInkPlot, method + " rInkPlot");
	}
}
